summaryrefslogtreecommitdiffstats
path: root/board
diff options
context:
space:
mode:
authorSascha Hauer <s.hauer@pengutronix.de>2008-11-14 11:37:28 +0100
committerSascha Hauer <s.hauer@pengutronix.de>2008-11-14 11:37:28 +0100
commit3889e42b9e6845b04c513b04f753efae233452ed (patch)
tree2dcd85a2cced3edd9105e7491e966bf300025a78 /board
parentdb85c9e2b0f57d286c1319052ce19e54b316473e (diff)
downloadbarebox-3889e42b9e6845b04c513b04f753efae233452ed.tar.gz
barebox-3889e42b9e6845b04c513b04f753efae233452ed.tar.xz
Default environments: Do not continue when tftp failed
When we fail to download the kernel image (for example when the user pressed ctrl-c) do not try to boot the image Signed-off-by: Sascha Hauer <s.hauer@pengutronix.de>
Diffstat (limited to 'board')
-rw-r--r--board/imx27ads/env/bin/boot2
-rw-r--r--board/ipe337/env/bin/boot2
-rw-r--r--board/kp_ukd_r1_num/env/bin/boot2
-rw-r--r--board/pcm037/env/bin/boot2
-rw-r--r--board/pcm038/env/bin/boot2
-rw-r--r--board/phycore_mcf54xx/env/bin/boot2
-rw-r--r--board/pm9263/env/bin/boot2
7 files changed, 7 insertions, 7 deletions
diff --git a/board/imx27ads/env/bin/boot b/board/imx27ads/env/bin/boot
index 71d4391591..3859dc113b 100644
--- a/board/imx27ads/env/bin/boot
+++ b/board/imx27ads/env/bin/boot
@@ -30,7 +30,7 @@ if [ $kernel = net ]; then
if [ x$ip = xdhcp ]; then
dhcp
fi
- tftp $uimage uImage
+ tftp $uimage uImage || exit 1
bootm uImage
else
bootm /dev/nor0.kernel
diff --git a/board/ipe337/env/bin/boot b/board/ipe337/env/bin/boot
index 9a607f481e..62807d211f 100644
--- a/board/ipe337/env/bin/boot
+++ b/board/ipe337/env/bin/boot
@@ -47,7 +47,7 @@ if [ $kernel = net ]; then
if [ x$ip = xdhcp ]; then
dhcp
fi
- tftp $uimage uImage
+ tftp $uimage uImage || exit 1
bootm uImage
else
bootm $act_kernel
diff --git a/board/kp_ukd_r1_num/env/bin/boot b/board/kp_ukd_r1_num/env/bin/boot
index b8f868fe85..c9fcbac620 100644
--- a/board/kp_ukd_r1_num/env/bin/boot
+++ b/board/kp_ukd_r1_num/env/bin/boot
@@ -30,7 +30,7 @@ if [ $kernel = net ]; then
if [ x$ip = xdhcp ]; then
dhcp
fi
- tftp $uimage uImage
+ tftp $uimage uImage || exit 1
bootm uImage
else
bootm /dev/nor0.kernel
diff --git a/board/pcm037/env/bin/boot b/board/pcm037/env/bin/boot
index 2d0f7107ac..dfb59aa692 100644
--- a/board/pcm037/env/bin/boot
+++ b/board/pcm037/env/bin/boot
@@ -37,7 +37,7 @@ if [ $kernel = net ]; then
if [ x$ip = xdhcp ]; then
dhcp
fi
- tftp $uimage uImage
+ tftp $uimage uImage || exit 1
bootm uImage
elif [ $kernel = nor ]; then
bootm /dev/nor0.kernel
diff --git a/board/pcm038/env/bin/boot b/board/pcm038/env/bin/boot
index 2d0f7107ac..dfb59aa692 100644
--- a/board/pcm038/env/bin/boot
+++ b/board/pcm038/env/bin/boot
@@ -37,7 +37,7 @@ if [ $kernel = net ]; then
if [ x$ip = xdhcp ]; then
dhcp
fi
- tftp $uimage uImage
+ tftp $uimage uImage || exit 1
bootm uImage
elif [ $kernel = nor ]; then
bootm /dev/nor0.kernel
diff --git a/board/phycore_mcf54xx/env/bin/boot b/board/phycore_mcf54xx/env/bin/boot
index b8f868fe85..c9fcbac620 100644
--- a/board/phycore_mcf54xx/env/bin/boot
+++ b/board/phycore_mcf54xx/env/bin/boot
@@ -30,7 +30,7 @@ if [ $kernel = net ]; then
if [ x$ip = xdhcp ]; then
dhcp
fi
- tftp $uimage uImage
+ tftp $uimage uImage || exit 1
bootm uImage
else
bootm /dev/nor0.kernel
diff --git a/board/pm9263/env/bin/boot b/board/pm9263/env/bin/boot
index 05241d93c0..533dea7618 100644
--- a/board/pm9263/env/bin/boot
+++ b/board/pm9263/env/bin/boot
@@ -37,7 +37,7 @@ if [ $kernel = net ]; then
if [ x$ip = xdhcp ]; then
dhcp
fi
- tftp $uimage uImage
+ tftp $uimage uImage || exit 1
bootm uImage
elif [ $kernel = nor ]; then
bootm /dev/nor0.kernel